<template>
	<view class="box">
		<u-navbar :autoBack="true" title="文物故事" bgColor="rgba(255,255,255,0)" :placeholder="true" titleStyle="font-weight:bold;color:#000000"></u-navbar>
		<view v-for="item in research" :key="item.id" class="yx_box" @click="$common.navigateTo('/xueYuan_fenbao/wenWu/guShi?id=' + item.id)">
			<view style="position: absolute; left: 6rpx; top: 6rpx">
				<image mode="scaleToFill" style="width: 160rpx; height: 240rpx" :src="item.image"></image>
			</view>
			<view style="margin-left: 200rpx">
				<view class="wwd">{{ item.title }}</view>
			</view>
			<view class="baoming">
				<text>查看</text>
				<image style="margin-left: 10rpx; width: 32rpx; height: 32rpx" src="/static/img/arrow-right-line.png"></image>
			</view>
		</view>
	</view>
</template>

<script>
let that;
export default {
	data() {
		return {
			page: 1,
			isLoading: false,
			research: []
		};
	},
	onLoad() {
		that = this;
		this.getContentList();
	},
	methods: {
		// 文物故事视频
		getContentList() {
			this.isLoading = true;
			this.$api.getContentList({ main_body_id: 1, model_id: 11, main_body_column_id: 77, page: this.page, pageSize: 10 }, function (res) {
				that.isLoading = false;
				console.log(res, '文物');
				that.research = [...that.research, ...res.data];
			});
		}
	},
	/* 页面触底 */
	onReachBottom() {
		if (this.isLoading) {
			return;
		} else {
			this.page++;
			this.getContentList();
		}
	}
};
</script>

<style>
.box {
	width: 100%;
	padding-bottom: 50rpx;
	background-image: url('https://huli-app.wenlvti.net/app_static/WenWuGuanJia/image/xy_bgt.png');
	background-size: 100% 100%;
	background-attachment: fixed;
	background-repeat: repeat-y;
	min-height: 100%;
	height: auto;
	/* background-color: #fff9e9; */
}
.yx_box {
	position: relative;
	width: 670rpx;
	height: 252rpx;
	display: flex;
	align-items: center;
	margin: auto;
	margin-top: 34rpx;
	background-image: url('https://huli-app.wenlvti.net/app_static/WenWuGuanJia/image/hh_item_bg.png');
	background-size: 100% 100%;
}
.wwd {
	width: 300rpx;
	font-size: 36rpx;
	font-weight: 400;
	color: #444444;
	line-height: 52rpx;
}

.baoming {
	display: flex;
	width: 116rpx;
	height: 56rpx;
	line-height: 56rpx;
	justify-content: center;
	align-items: center;
	margin-left: 32rpx;
	font-size: 28rpx;
	color: #eba869;
	border: 2rpx solid #eba869;
}
</style>
